Subject: Re: git & patterns

From: Ferry Huberts <[email-masked]>
Date: Thu, 19 May 2011 08:23:46 +0200

On 05/18/2011 09:55 PM, Junio C Hamano wrote:
> Ferry Huberts <[email-masked]> writes:
> 
>> After reading the manual page for git describe it was not clear to me what
>> kind of pattern the --match option should take. Was it to be
>> a shell pattern (to be expected) or a regular expression pattern?
>>
>> So I dug in the code to find fnmatch: shell pattern.
>>
>> Now my question(s):
>>
>> - could the manual page be update to make this explicit please? (plus
>> other manual pages talking about (shell) patterns)
> 
> The general design guideline we have is to use glob for things that look
> like pathnames. Refs, refspecs, ignore and attribute rules are the
> examples of this rule.
> 

Well, to me tags do not look like pathnames at all, they're just
'random' strings. As are branches.
Technically they may be like pathnames because they're projected on to
the filesystem that way, but principally they're not IMHO: it's an
implementation detail.

> We may be lacking this info in our documentation. A patch to add it
> somewhere is very welcome.

Yesterday I already did a quick grep on pattern and glob in the
documentation directory and found that:
- usually patterns are just patterns, without specifying what kind
- when a pattern type is specified it most of the time is a glob pattern
- but sometimes it is called a shell pattern
- and  a few cases speak of a wildcard pattern (I think)

What should it be?
>From your comments I gather it should be a glob pattern.
Isn't glob too 'tech speak' or is it acceptable?
If not acceptable, then what? Shell wildcard pattern?

thanks!

-- 
Ferry Huberts